Bug 1267672 - fix crash in nmtui when requesting password
Summary: fix crash in nmtui when requesting password
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Thomas Haller
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-30 15:44 UTC by Thomas Haller
Modified: 2015-11-19 11:05 UTC (History)
7 users (show)

Fixed In Version: NetworkManager-1.0.6-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 11:05:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 755883 None None None Never
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Thomas Haller 2015-09-30 15:44:23 UTC
nmtui can crash during activation.

This is fixed in upstream. Needs to be backported.
See upstream bug https://bugzilla.gnome.org/show_bug.cgi?id=755883



Reproduce:


1.) start nmtui in one terminal and activate a connection that asks for secret (and just leave the password-dialog haning).

2.) in another terminal, start nmtui and activate another connection so that you would also see the password dialog there.


Instead of the password dialog, #2 crashes.

Comment 3 Thomas Haller 2015-09-30 19:35:59 UTC
btw. the patch is very trivial and quite obviously correct:

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=269a4483be917fcc7ba66bcf061f75e76df0c6c7


so, low-risk patch :)

Comment 6 Vitezslav Humpa 2015-10-05 15:47:02 UTC
Reproduced crasher with -13. Verified the TUI crash does not happen with NetworkManager-1.0.6-14.el7.

Comment 7 errata-xmlrpc 2015-11-19 11:05:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.